## discover-data 2.2010.06.05

=== debian/changelog ===
discover-data (2.2010.06.05) unstable; urgency=low

  * Update HW mappings for PCI devices:
     8086:2592: Install i810switch on Lenny and later.
     Made ipw3945-source package entries versioned to Lenny and earlier.
  * Update HW mappings for USB devices:
     04db:005b: Install argyll.
     0670:0001: Install argyll.
     0765:d020: Install argyll.
     0765:d092: Install argyll.
     0765:d094: Install argyll.
     085c:0200: Install argyll.
     085c:0300: Install argyll.
     0971:2000: Install argyll.
     0971:2001: Install argyll.
     0971:2003: Install argyll.
     0971:2005: Install argyll.
     0971:2007: Install argyll (Closes: #583940).
  * Update pci-vendors.xml, pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Drop obsolete discover1-data binary package.
  * Drop 'ignore' kernel module entries from the USB device list.  The
    kernel module list is not up to date, and it do not make sense to
    list entries to ignore when an empty entry do the same.
  * Extend pci-ids2xml to handle usb.ids too.
  * Extend merge-device-xml to take file names on the command line.
  * Extend Makefile.update to handle USB device updates too.
  * Update usb-device.xml, usb-vendors.xml, usb.lst and usb-26.lst
    from http://www.linux-usb.org/usb.ids.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Jun 2010 13:58:40 +0200

discover-data (2.2010.04.07) unstable; urgency=low

  * Update standards-version from 3.7.3 to 3.8.4.  No changes needed.
  * Add Vcs-Browser entry to control file.
  * Update HW mappings for PCI devices:
     1000:0030: Install mpt-status instead of non-existing mpt-utils.
  * Fix merge-lst-to-xml which was broken with the patch applied
    for bug #468624.
  * Update pci-vendors.xml, pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Apr 2010 20:54:51 +0200
