=== debian/control ===
Source: discover-data
Section: libs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
Build-Depends: debhelper (>= 4.0)
Build-Depends-Indep: python
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0

Package: discover-data
Architecture: all
Recommends: pciutils (>= 1:2.2.4)
Conflicts: libdiscover2 (<< 2.0.4-4)
Description: Data lists for Discover hardware detection system
 The Discover hardware detection library uses XML data files to describe
 software interfaces to various ATA, PCI, PMCMIA, SCSI, and USB devices.
 While the Discover library can retrieve data from anywhere on the net, it is
 often convenient to have a set of Discover XML data files on one's system;
 thus, this package.
