## discover-data 2.2010.10.18

=== debian/changelog ===
discover-data (2.2010.10.18) unstable; urgency=low

  * Update HW mappings for PCI devices:
     8086:2592 and
     8086:3582: do not install i810switch after Lenny.  Based on
       feedback from Julien Cristau
  * Avoid changes made in last upload to keep lintian quiet that are
    likely to make the release team reject this package for Squeeze:
    - Undo debhelper compatibility level change (7 back to 4).
    - Undo changes to get suggests on python.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Oct 2010 19:28:31 +0200

discover-data (2.2010.10.14) unstable; urgency=low

  * Update HW mappings for PCI devices:
     8086:3582: install i810switch.
     80ee:beef: Install virtualbox-ose-guest-x11.
     Made ipw3945-source and ipw3945d package entries versioned to
     Etch and earlier (Closes: #583993).
  * Update HW mappings for USB devices:
     04e8:323a: Install splix.
     04e8:323b: Install splix.
     04e8:323d: Install splix.
     04e8:3242: Install splix.
     04e8:324c: Install splix.
     04e8:324d: Install splix.
     04e8:325b: Install splix.
     04e8:325f: Install splix.
     04e8:3260: Install splix.
     04e8:3268: Install splix.
     04e8:3276: Install splix.
     04e8:341b: Install splix.
     04e8:3426: Install splix (Closes: #595100).
  * Add depends on ${misc:Depends} to keep debhelper and lintian happy.
  * Raise debhelper compatibility level from 4 to 7.
  * Suggest python dependencies needed to update the data files.  These
    are only useful for the tools, and not needed for users of the data.
  * Update standards-version from 3.8.4 3.9.1.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Oct 2010 23:07:42 +0200
