=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
 Build-Depends-Indep: python
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0
 
 Package: discover-data
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: pciutils (>= 1:2.2.4)
 Conflicts: libdiscover2 (<< 2.0.4-4)
 Description: Data lists for Discover hardware detection system
