## discover-data 2.2013.01.11

=== debian/changelog ===
discover-data (2.2013.01.11) unstable; urgency=low

  * Update HW mappings for USB devices:
     1130:0202: Install package pymissile.
     091e:0003: Install packages gpsbabel, gpsbabel-gui, gpsman,
     		gpstrans, mkgmap, qlandkartegt, qlandkartegt-garmin
     		and viking.
     04b4:fd10, 04b4:fd11, 04b4:fd12 and 04b4:fd13: Install sispmctl
     		(Closes: #697839)
  * Revert changed input charmap for usb.ids from UTF-8 to ISO-8859-1.
    It is not using the same charmap as pci.ids.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jan 2013 11:16:53 +0100

discover-data (2.2013.01.09) unstable; urgency=low

  * Update HW mappings for PCI devices:
     14e4:4320: Install b43-fwcutter to get required firmware.
     1011:0019: Remove incorrect de4x5 kernel module, as discover is
                not used for kernel module loading any more (Closes:
                #394032).
     1000:0030: Do not install package mpt-status, as the ID is used
     		in VMWare machines without RAID support (Closes: #618572).
  * Update HW mappings for USB devices:
     1050:0010: Install package yubikey-personalization.
     0694:0001: Install package nqc.
     0694:0002: Install package python-nxt, nbc and t2n.
  * Adjust Makefile.update rule to update PCI entries, to make sure
    pci.ids only contain ASCII characters.
  * Correct input charmap for usb.ids from ISO-8859-1 to UTF-8.
  * Update pci-vendors.xml and pci-devices.xml from
    http://pciids.sourceforge.net/pci.ids.gz.
  * Update usb-device.xml, usb-vendors.xml, usb.lst and usb-26.lst
    from http://www.linux-usb.org/usb.ids (Closes: #672316).
  * Update debhelper level from 4 to 8 to move to a supported debhelper
    level.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 09 Jan 2013 14:03:51 +0100
