=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
-Build-Depends: debhelper (>= 4.0)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: python
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
