=== debian/rules ===
#!/usr/bin/make -f

# $Progeny$

PACKAGE=$(shell dh_listpackages)
LPACKAGE=$(shell dh_listpackages)
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

build: build-stamp
build-stamp:
#	This package is so insanely simple, we have nothing to do here.
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	make install \
		prefix=/usr \
		hwlistsdir=/lib/discover \
		DESTDIR=$(CURDIR)/debian/discover-data

	# reportbug helper script
	mkdir -p $(CURDIR)/debian/discover-data/usr/share/bug
	install -m 755 debian/discover-data.bug $(CURDIR)/debian/discover-data/usr/share/bug/discover-data

binary-arch: build install

binary-indep: build install $(PACKAGE)
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

$(PACKAGE): build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol

binary: binary-indep
PHONY: build clean binary binary-indep $(PACKAGE) install
