## discover-data 2.2013.01.11ubuntu1

=== debian/changelog ===
discover-data (2.2013.01.11ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 12:42:04 +0200
