=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: python
+Build-Depends-Indep: python3
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0
