## discover-data 2.2013.01.11+nmu1

=== debian/changelog ===
discover-data (2.2013.01.11+nmu1) unstable; urgency=medium

  [ Holger Levsen ]
  * Non maintainer upload by the Reproducible Builds team.
  * Source upload to rebuild on buildd with .buildinfo files.
  * Switch to python3. Closes:  #967126
  * Confirm using diffoscope that the janitor made changes below result in
    sensible changes in the binaries being built.
  * Drop Vcs- headers as they pointed to alioth/svn.

  [ Debian Janitor ]
  * Add missing debian/rules targets build-indep, build-arch.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 2.2007.03.22.
  * Trim trailing whitespace.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Jan 2021 20:05:45 +0100
