=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: python3
 Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0
 
 Package: discover-data
 Architecture: all
@@ -20,4 +18,3 @@
  While the Discover library can retrieve data from anywhere on the net, it is
  often convenient to have a set of Discover XML data files on one's system;
  thus, this package.
-
