=== debian/rules ===
--- 
+++ 
@@ -61,3 +61,7 @@
 
 binary: binary-indep
 PHONY: build clean binary binary-indep $(PACKAGE) install
+
+build-indep: build
+
+build-arch:
