=== debian/changelog ===
discover-data (2.2013.01.13) unstable; urgency=medium

  * Rewrite debian/rules using dh, keeping only a few directives.
  * Rename debian/discover-data.bug into debian/discover-data.bug-script
    so that it gets picked up by dh_bugfiles automatically.
  * Delete debian/discover1-data.bug (binary package dropped in 2010).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 09 Jan 2022 10:27:19 +0100

discover-data (2.2013.01.12) unstable; urgency=low

  * Team upload.

  [ Petter Reinholdtsen ]
  * Update HW mappings for USB devices:
     04d8:f8da: Install package colorhug-client from Debian 7 (Wheezy).
     20df:0001: Install package ekeyd.
  * Correct Vcs-Browser link in control file.

  [ Samuel Thibault ]
  * Update vcs links to git salsa
  * control: Remove Otavio Salvador and Gaudenz Steinlin from uploaders
    (Closes: 847267).
  * Migrate to python3.
  * control: Suggest python3.
  * source/format: Set format to native.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 19:10:01 +0100
