=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- hwlistsdir=/lib/discover

override_dh_auto_install:
	dh_auto_install -- hwlistsdir=/lib/discover

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
