## discover-data 2.2013.01.13+nmu1

=== debian/changelog ===
discover-data (2.2013.01.13+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install files into /usr. (Closes: #1064400)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Jul 2024 15:33:04 +0200
