=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, David Nusinow <dnusinow@debian.org>
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: python3
 Standards-Version: 3.9.1
+Vcs-Git: https://salsa.debian.org/installer-team/discover-data.git
+Vcs-Browser: https://salsa.debian.org/installer-team/discover-data
 
 Package: discover-data
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: pciutils (>= 1:2.2.4)
+Suggests: python3
 Conflicts: libdiscover2 (<< 2.0.4-4)
 Description: Data lists for Discover hardware detection system
  The Discover hardware detection library uses XML data files to describe
