## discover-data 2.2013.01.13+nmu1build1

=== debian/changelog ===
discover-data (2.2013.01.13+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:06:13 +0000
